
uniform mat4 u_view_matrix;

in vec2 attrib_position;
in vec3 attrib_rel_position;
in vec4 attrib_color;
in ivec4 attrib_style;

out vec3 v_rel_position;
out vec4 v_color;
flat out ivec4 v_style;

void main() {
    gl_Position = u_view_matrix * vec4(attrib_position, 0.0, 1.0);

    v_rel_position = attrib_rel_position;
    v_color = attrib_color;
    v_style = attrib_style;
}
